module MPItrampoline_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libload_time_mpi_constants
const libload_time_mpi_constants_path = "/opt/mpitrampoline/lib/libload_time_mpi_constants.so"
libload_time_mpi_constants_handle = C_NULL
get_libload_time_mpi_constants_path() = libload_time_mpi_constants_path
const libload_time_mpi_constants = "/opt/mpitrampoline/lib/libload_time_mpi_constants.so"
export libmpi
const libmpi_path = "/opt/mpitrampoline/lib/libmpitrampoline.so.5"
libmpi_handle = C_NULL
get_libmpi_path() = libmpi_path
const libmpi = "/opt/mpitrampoline/lib/libmpitrampoline.so.5"
export generate_compile_time_mpi_constants
const generate_compile_time_mpi_constants_path = "/opt/mpitrampoline/bin/generate_compile_time_mpi_constants"
generate_compile_time_mpi_constants(f::Function; kw...) = f(generate_compile_time_mpi_constants_path)
generate_compile_time_mpi_constants(; kw...) = Cmd([generate_compile_time_mpi_constants_path])
export mpicc
const mpicc_path = "/opt/mpitrampoline/bin/mpicc"
mpicc(f::Function; kw...) = f(mpicc_path)
mpicc(; kw...) = Cmd([mpicc_path])
export mpich_mpiexec
const mpich_mpiexec_path = "/opt/mpich/bin/mpiexec"
mpich_mpiexec(f::Function; kw...) = f(mpich_mpiexec_path)
mpich_mpiexec(; kw...) = Cmd([mpich_mpiexec_path])
export mpicxx
const mpicxx_path = "/opt/mpitrampoline/bin/mpicxx"
mpicxx(f::Function; kw...) = f(mpicxx_path)
mpicxx(; kw...) = Cmd([mpicxx_path])
export mpiexec
const mpiexec_path = "/opt/mpitrampoline/bin/mpiexec"
mpiexec(f::Function; kw...) = f(mpiexec_path)
mpiexec(; kw...) = Cmd([mpiexec_path])
export mpifc
const mpifc_path = "/opt/mpitrampoline/bin/mpifc"
mpifc(f::Function; kw...) = f(mpifc_path)
mpifc(; kw...) = Cmd([mpifc_path])
export mpifort
const mpifort_path = "/opt/mpitrampoline/bin/mpifort"
mpifort(f::Function; kw...) = f(mpifort_path)
mpifort(; kw...) = Cmd([mpifort_path])
export mpiwrapperexec
const mpiwrapperexec_path = "/opt/mpitrampoline/bin/mpiwrapperexec"
mpiwrapperexec(f::Function; kw...) = f(mpiwrapperexec_path)
mpiwrapperexec(; kw...) = Cmd([mpiwrapperexec_path])
function __init__()
    global libload_time_mpi_constants_handle = dlopen(libload_time_mpi_constants_path)
    global libmpi_handle = dlopen(libmpi_path)
end
end
